# Class: Environment

Defined in: | node_modules/codo/lib/environment.coffee

## Class Method Summary

- . (void) read(files, options = {})

## Instance Method Summary

- # (void) readCoffee(file)
- # (void) readExtra(file)
- # (void) registerEntity(entity)
- # (void) all(Entity, haystack = [])
- # (void) visibleFiles()
- # (void) visibleClasses()
- # (void) visibleMixins()
- # (void) visibleExtras()
- # (void) visibleMethods()
- # (void) visibleVariables()
- # (void) allFiles()
- # (void) allClasses()
- # (void) allMixins()
- # (void) allExtras()
- # (void) allMethods()
- # (void) allVariables()
- # (void) find(Entity, name)
- # (void) findReadme()
- # (void) linkify()
- # (void) reference(needle, context = '')
- # (void) inspect()

## Class Method Details

. (void) read(files, options = {})

## Constructor Details

# (void) constructor(options = {})

## Instance Method Details

# (void) readCoffee(file)

# (void) readExtra(file)

# (void) registerEntity(entity)

# (void) all(Entity, haystack = [])

# (void) visibleFiles()

# (void) visibleClasses()

# (void) visibleMixins()

# (void) visibleExtras()

# (void) visibleMethods()

# (void) visibleVariables()

# (void) allFiles()

# (void) allClasses()

# (void) allMixins()

# (void) allExtras()

# (void) allMethods()

# (void) allVariables()

# (void) find(Entity, name)

# (void) findReadme()

# (void) linkify()

# (void) reference(needle, context = '')

# (void) inspect()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input